IMGVINFO(1)

NAME
imgvinfo - Zeigt Daten aus dem pdb-Header eines Pilot-Bildes an

ÜBERSICHT
imgvinfo [-h] [-v] [-t fmt] [-{u|l}] [in [...]]

BESCHREIBUNG
imgvinfo kann einige Daten aus dem Header von pdb-Dateien für Pilot-Bild-Betrachter heraus holen und auf die Standardausgabe schreiben, wie Name, Erstellungszeit, Zeitpunkt der letzten Änderung und der letzten Sicherung, Version, Typ, letzte Position, Sprung-Position, Bildgröße und Notiz (wenn vorhanden).

Die Erstellungszeit und Änderungszeit ist meistens nicht richtig; alle pdb-Bilddateien, die der Autor erhalten hat, enthielten das Datum 1907-08-16 19:38:22 (UTC) und das ist nicht richtig. Werden pdb-Bilder aber mit pgmtoimgv(1) oder pbmtoimgv(1) erstellt, sind diese Zeiten korrekt.

Dieses Programm wurde ursprünglich zum Testen eines Programmteils für das Auswerten von .pdb-Headern geschrieben, scheint aber ein auch sonst ein kleines nützliches Werkzeug zu sein.

OPTIONEN

-h  Zeigt einen kurzen Hilfe-Text an und beendet sich.

-v  Zeigt die Version an und beendet sich.

-t fmt
    Gibt das Zeitformat an. Der Standard ist "%Y-%m-%d %H:%M:%S" (ISO8601-Standard). Siehe strftime(3) für verfügbare Format-Kennungen.

-u  Gibt Zeiten in UTC statt der lokalen Zeitzone aus.

-l  Gibt Zeiten in der lokalen Zeitzone aus (Standard).

datei
    Einzulesende Datei. Normalerweise wird von der Standardeingabe gelesen, dafür kann auch - als Dateiname verwendet werden.

SIEHE AUCH
imgvtopnm(1), imgvview(1), pbmtoimgv(1), pgmtoimgv(1), ppmimgvquant(1), pbm(5), pgm(5).

FEHLER
Fehlerberichte an: Eric A. Howe (mu@trends.net).

AUTOR
Programm, Manpage: Eric A. Howe (mu@trends.net).
Deutsche Übersetzung: Erik Schanze <eriks@debian.org>, 2004.

LIZENZ
Copyright (C) 1997,1998 Eric A. Howe <http://www.trends.net/~mu>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.